Show / Hide Table of Contents

# Class StatusList

This collection represents the status effects an actor is afflicted by.

##### Inheritance

System.Object
StatusList

##### Implements

System.Collections.Generic.IReadOnlyCollection<Status>
System.Collections.Generic.IEnumerable<Status>
System.Collections.ICollection
System.Collections.IEnumerable

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud.Game.ClientState.Statuses

###### Assembly: Dalamud.dll

##### Syntax

    public sealed class StatusList : IReadOnlyCollection<Status>, IEnumerable<Status>, ICollection, IEnumerable

### Properties

| Improve this Doc View Source

#### Address

Gets the address of the status list in memory.

##### Declaration

    public IntPtr Address { get; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### Item[Int32]

Get a status effect at the specified index.

##### Declaration

    public Status this[int index] { get; }

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | index | Status Index.

##### Property Value

Type | Description
--- | ---
Status | The status at the specified index.

| Improve this Doc View Source

#### Length

Gets the amount of status effects the actor has.

##### Declaration

    public int Length { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

### Methods

| Improve this Doc View Source

#### CreateStatusReference(IntPtr)

Create a reference to an FFXIV actor status.

##### Declaration

    public Status CreateStatusReference(IntPtr address)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | address | The address of the status effect in memory.

##### Returns

Type | Description
--- | ---
Status | The status object containing the requested data.

| Improve this Doc View Source

#### GetEnumerator()

##### Declaration

    public IEnumerator<Status> GetEnumerator()

##### Returns

Type | Description
--- | ---
System.Collections.Generic.IEnumerator<Status> |

| Improve this Doc View Source

#### GetStatusAddress(Int32)

Gets the address of the party member at the specified index of the party list.

##### Declaration

    public IntPtr GetStatusAddress(int index)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | index | The index of the party member.

##### Returns

Type | Description
--- | ---
System.IntPtr | The memory address of the party member.

### Explicit Interface Implementations

| Improve this Doc View Source

#### IReadOnlyCollection<Status>.Count

##### Declaration

    int IReadOnlyCollection<Status>.Count { get; }

##### Returns

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### ICollection.CopyTo(Array, Int32)

##### Declaration

    void ICollection.CopyTo(Array array, int index)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Array | array |
System.Int32 | index |

| Improve this Doc View Source

#### ICollection.Count

##### Declaration

    int ICollection.Count { get; }

##### Returns

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### ICollection.IsSynchronized

##### Declaration

    bool ICollection.IsSynchronized { get; }

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### ICollection.SyncRoot

##### Declaration

    object ICollection.SyncRoot { get; }

##### Returns

Type | Description
--- | ---
System.Object |

| Improve this Doc View Source

#### IEnumerable.GetEnumerator()

##### Declaration

    IEnumerator IEnumerable.GetEnumerator()

##### Returns

Type | Description
--- | ---
System.Collections.IEnumerator |

### Implements

System.Collections.Generic.IReadOnlyCollection<T>
System.Collections.Generic.IEnumerable<T>
System.Collections.ICollection
System.Collections.IEnumerable